add p910nd (thanks to Oliver Ertl)
[openwrt/svn-archive/archive.git] / openwrt / package / p910nd / files / p910nd.init
diff --git a/openwrt/package/p910nd/files/p910nd.init b/openwrt/package/p910nd/files/p910nd.init
new file mode 100644 (file)
index 0000000..44bff5b
--- /dev/null
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+DEFAULT=/etc/default/p910nd
+[ -f $DEFAULT ] && . $DEFAULT
+RUN_D=/var/run
+PID_F=$RUN_D/p910${PORT-0}d.pid
+
+case $1 in
+ start)
+  mkdir -p $RUN_D
+  p910nd $OPTIONS
+  ;;
+ stop)
+  [ -f $PID_F ] && kill $(cat $PID_F)
+  ;;
+ *)
+  echo "usage: $0 (start|stop)"
+  exit 1
+esac
+exit $?